<!DOCTYPE html>
<html lang="nl">
<head>
	<meta charset="utf-8">
	<title>NummerReeks App | Instituten</title>
	<link rel="stylesheet" href="/static/css/bootstrap/bootstrap.min.css">
	<link rel="stylesheet" href="/static/css/bcd.css">
	<script src="/static/js/jquery-3.5.1.js"></script>
	<script src="/static/js/bootstrap/bootstrap.min.js"></script>
	<script src="/static/js/bcd.util.js"></script>
	<script src="/static/js/bcd.shared.js"></script>
	<script src="/static/js/bcd.dialog.js"></script>
	<script src="/static/js/bcd.search.js"></script>
	<script>
		const BASE_PATH = '~%basePath%';
		const SEARCH_REQUEST = ~%searchRequest%;
		const PERMISSION = '~%permission%';

		function showCollections(id) {
			const searchRequest = {
				instituteId : id
			};
			const json = JSON.stringify(searchRequest);
			const query = encodeURIComponent(json);
			goto("/collection/?searchRequest=" + query);
		}
	</script>
	<style>
		.link-thru {
			width: 100%;
			white-space: nowrap;
		}
		.link-thru:hover {
			cursor: pointer;
			color: #1266F1;
		}
	</style>
</head>

<body>

~%%include:adminNavbar:/html/include/AdminNavbar.html%
	
	<h1>Instituten</h1>
	
	~%%include:logo:/html/include/Logo.html%
	
	<div class="left" id="w2">

		<div id="list-buttons-container">
			<button
				id="create-button"
				class="btn btn-primary"
				onclick="action('new')"
			>
				Nieuw Instituut
			</button>
		</div>
		
		<div id="extra-search-options">&nbsp;</div>

		<div>

			<table
				class="row-border hover order-column"
				cellspacing="0"
				width="100%">
				<thead>
					<tr>
						<th nowrap class="th-main" data-sortcol="INSTITUTE_NAME">Naam</th>
						<th nowrap class="th-main" data-sortcol="INSTITUTE_CODE">Instituut Code</th>
						<th nowrap class="th-main" data-sortcol="REQUEST_COUNT"># Verzoeken</th>
						<th nowrap class="th-main" data-sortcol="NUMBER_COUNT"># Nummers</th>
						<th nowrap class="th-main" data-sortcol="MAX_NUMBER">Laatste Nr.</th>
						<th nowrap class="th-main" data-sortcol="ACTIVE">Actief</th>
						<th nowrap>&nbsp;</th> <!-- show requests -->
						<th nowrap>&nbsp;</th> <!-- edit -->
						<th nowrap>&nbsp;</th> <!-- delete -->
					</tr>
				</thead>

				<tbody>
					~%%begin:mainTable%
					<tr class="main-table-row" data-request-count="~%requestCount%">
						<td
							class="link-thru"
							onclick="showCollections(~%instituteId%)"
							data-toggle="tooltip"
							title="Toon collecties voor instituut code ~%instituteCode%"
							nowrap style="width:40%;">~%instituteName%</td>
						<td
							class="link-thru"
							onclick="showCollections(~%instituteId%)"
							data-toggle="tooltip"
							title="Toon collecties voor instituut code ~%instituteCode%"
						>~%instituteCode%</td>
						<td nowrap style="text-align:right;padding-right:10px;">~%requestCount%</td>
						<td nowrap style="text-align:right;padding-right:10px;">~%numberCount%</td>
						<td nowrap style="text-align:right;padding-right:10px;">~%maxNumber%</td>
						<td nowrap class="active-column">~%active%</td>
						<td class="button-container">
							<button
								class="btn btn-primary show-requests-button"
								data-toggle="tooltip"
								title="Toon nummerreeksen voor ~%instituteCode%"
								style="width: 3em; height: 1.8em;"
								onclick="showRequests(~%instituteId%,'~%js:instituteCode%')"
							>
								~%%include:searchIcon:/svg/search.svg%
							</button>
						</td>
						<td class="button-container">
							<button
								class="btn btn-primary"
								data-toggle="tooltip"
								title="Instituut bewerken"
								style="width: 3em; height: 1.8em;"
								onclick="showEditPage(~%instituteId%);"
							>
								~%%include:editIcon:/svg/pencil-square.svg%
							</button>
						</td>
						<td class="button-container">
							<button
								class="btn btn-primary delete-button"
								data-toggle="tooltip"							
								data-active="~%active%"
								style="width: 3em; height: 1.8em;"
								onclick="deleteOrDeactivate('Instituut',~%instituteId%,'~%instituteCode%',~%active%,~%requestCount%);"
							>
								<span style="display:none;">~%%include:deleteIcon:/svg/trash.svg%</span>
								<span style="display:none;">~%%include:deactivateIcon:/svg/archive.svg%</span>
							</button>
						</td>
					</tr>
					~%%end:mainTable%
				</tbody>
			</table>
			
			<div id="row-count-display"></div>

		</div>

~%%include:/html/include/PageButtons.html%
		
	</div>
	
~%%include:bsDialog:/html/include/BSDialog.html%

<span id="sortAsc" style="display:none;">&nbsp;~%%include:sortAscIcon:/svg/caret-up-fill.svg%</span>
<span id="sortDesc" style="display:none;">&nbsp;~%%include:sortDescIcon:/svg/caret-down-fill.svg%</span>

<script>	
$("document").ready(function() {
	initListPage();
	initAdminListPage("Instituut");
});
</script>

</body>
</html>
